Bug 477521 - Complete font loss after reboot
Complete font loss after reboot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 09:55 EST by Brian Semrad
Modified: 2009-01-09 18:19 EST (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-ati-6.9.0-63.fc10.i386
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 18:19:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Semrad 2008-12-21 09:55:22 EST
Description of problem:

Installing xorg-x11-drv-ati-6.9.0-62.fc10 on my Sony PCG-GRX670 laptop with an ATI Mobility 7500 video card and then doing a cold restart of the system completely looses all text/font output. Seems to be some sort of firmware loading regression.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.9.0-62.fc10

How reproducible:

Every time

Steps to Reproduce:
1. Install Driver
2. Power system off, a warm restart will not reproduce this bug.
3. Restart system and once system gets to the graphical login screen all text output will be gone. Everything else seems to work fine but all text is missing from all windows controls and applications etc...
  
Actual results:


Expected results:


Additional info:
Comment 1 Brian Semrad 2008-12-21 10:11:44 EST
Here is my smolt info if you need additional information on my hardware

UUID:
pub_28abaa5d-ce91-4cc2-b3ee-4870a8b6a3bd

URL:
http://www.smolts.org/client/show?uuid=pub_28abaa5d-ce91-4cc2-b3ee-4870a8b6a3bd
Comment 2 Carter Weatherly 2008-12-21 17:07:55 EST
Almost the same problem on an IBM R50 (another ATI M7500) -- I don't have to reboot to reproduce the problem (just restart gdm).  I'm pretty sure this is a driver problem as I can go back and forth between the radeon and vesa drivers, and only the vesa driver displays text.  I also tried the radeon driver with no extra options (in my xorg.conf) without success.

If anyone reading this wants a workaround, reverting back to the version on the liveCD worked for me:

$ cd /tmp
$ wget http://download.fedora.redhat.com/pub/fedora/linux/releases/10/Fedora/i386/os/Packages/xorg-x11-drv-ati-6.9.0-54.fc10.i386.rpm
$ su
# yum remove xorg-x11-drv-ati
# yum localinstall xorg-x11-drv-ati-6.9.0-54.fc10.i386.rpm
# reboot
Comment 3 David A. De Graaf 2008-12-24 15:49:27 EST
Me too.  On an IBM T30 laptop with  ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500].  

The new driver renders all text in X invisible (except in xterm).
Restoring the distribution version, xorg-x11-drv-ati-6.9.0-54.fc10.i386, fixed it.

This is a big time blunder...
Comment 4 Carter Weatherly 2008-12-26 14:35:52 EST
Updating to xorg-x11-drv-ati-6.9.0-63.fc10.i386 fixed the issue for me.  See:  <https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11780>
Comment 5 David A. De Graaf 2008-12-27 11:44:39 EST
Yes, it's fixed for my IBM T30, too.  The updated xorg-x11-drv-ati-6.9.0-63.fc10.i386 works perfectly.  Thank you.
Comment 6 Brian Semrad 2008-12-28 08:38:54 EST
Works good for me as well.

Thanks
Comment 7 Matěj Cepl 2009-01-09 18:19:32 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.